Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0006445
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] B. User interfacemajorhave not tried2008-12-10 13:172011-05-02 14:59
ReporterrgorisView Statuspublic 
Assigned Torgoris 
PrioritynormalResolutionfixedFixed in Versionmain
StatusclosedFix in branchpiFixed in SCM revisionsolved!
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0006445: Project XL - umbrella

DescriptionThe project XL "eXperience Lift" aims to revamp the user interface and total user experience of Openbravo ERP.

For this project we will use the term consumability as the focus of our efforts to dramatically improve customer’s acceptance of our products.
Consumability involves having functionality that can be used effectively
Highly consumable products enable customers to achieve :

- fast time to value
- get their solutions up and running quickly on our software
- deal simply and effectively with product maintenance throughout the product lifecycle
- Consumability looks beyond usability of a product in common usage when it is up and running but wants to cover the different phases in the product life cycle:
- Pre sales evaluation
- Installation
- Integration
- Configuration
- Up & running usage
- Upgrade
- Maintenance
- Deinstallation

Project XL should focus on those phases that have been identified as important for our and our customer's business. We should use our customer and product satisfaction data for this (see earlier in this document).
Ideas and focus areas that have come up:

- Effective data entry (see earlier)
- Master detail, think Yahoo Mail
- In grid edit
- More natural search, split indexed search and SQL based
- Combined searches
- Saved searches
- Portal style
- Modules, related to main object
- Guidance, help, e-learning from a module on tasks, processes
- Guidance on field and form level
- Integration, open APIs
- Googlemaps, customer location
- Chat
- CRM
- Google Calendar
- Plug ins ins, e.g. Excel: “save-as OB Expense”
- Provide “Smart Linked Items”, which allow users to drill around the most useful functional links rather than just the data model relationships (example: from sales order to related invoices rather than from sales orders to sales order lines to invoice lines to invoices).
- Enable index based searches from Openbravo on Openbravo data as well as any other data source (company intranet, document management system, etc.) in order to make Openbravo the central cockpit of corporate searches.
- Sticky notes on transactions
- Comments and tags that can be added anywhere
- Work management for ERP transactions
- Integration with Collaboration tools
- Visual redesign overhaul
- Navigation
- Access
- Task based support, suggestions and notifications such as “Related Actions” from each screen that guide users through their most frequent tasks (example: create invoice from the sales order window)
- Home page, overview, dashboards, feeds
- Mobile ERP
- Expensess
- Approvals
- Warehouse
- Camera
- Messaging
- Help
- Synchronized marketing efforts
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0005428 closedrgoris User interface should not reload so often and should behave as a true Ajax application 
depends on feature request 0005337 acknowledgedrgoris When creating new records, some options should be disabled 
depends on feature request 0005256 newplatform Show how many lines are available 
depends on feature request 0005249 acknowledgedrgoris Add links to invoice numbers and the likes 
depends on feature request 0004816 closedrgoris Save and go to child/parent tab 
depends on feature request 0005055 closedrgoris A light interface for mobile devices 
depends on feature request 0004467 closedrgoris Replace pop-ups by Ajax boxes (dialogs) 
depends on feature request 0003313 acknowledgedrgoris Favorites menu 
depends on feature request 0003377 closedrgoris Usability improvements for windows (Grid, Edit, New) 
depends on feature request 0004134 closedrgoris Ability to add notes to documents and transactions 
depends on feature request 0000494 acknowledgedrgoris Bookmarking transactions 
depends on feature request 0000381 closedrgoris Contextual Menus 
depends on feature request 0006072 closedrgoris User experience redesign 
depends on feature request 0004433 closedrgoris Replace tables by DIVs where it is beneficial 
depends on feature request 0000421pi acknowledgeddbaz Make interface components HTML standard 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0020694)
rafaroda (developer)
2009-10-05 09:05

Some useful usability tips (for websites but some can be applied to Openbravo ERP) http://www.torresburriel.com/weblog/2009/09/28/diez-descubrimientos-de-usabilidad-que-funcionan/ [^]
(0036266)
rgoris (developer)
2011-05-02 14:59

solved/expired/not applicable in OB3

- Issue History
Date Modified Username Field Change
2008-12-10 13:17 rgoris New Issue
2008-12-10 13:17 rgoris Assigned To => rafaroda
2008-12-10 13:17 rgoris sf_bug_id 0 => 2413712
2008-12-10 13:17 rgoris Regression testing => No
2008-12-10 13:17 rgoris Assigned To rafaroda => rgoris
2008-12-10 14:01 rgoris Status new => acknowledged
2008-12-10 14:27 rgoris Summary Project XL => Project XL - umbrella
2008-12-10 14:35 rgoris Relationship added depends on 0005428
2008-12-10 14:36 rgoris Relationship added depends on 0005337
2008-12-10 14:37 rgoris Relationship added has duplicate 0005256
2008-12-10 14:38 rgoris Relationship added depends on 0005249
2008-12-10 14:38 rgoris Relationship added depends on 0004816
2008-12-10 14:38 rgoris Relationship added depends on 0005055
2008-12-10 14:38 rgoris Relationship added depends on 0004581
2008-12-10 14:38 rgoris Relationship added depends on 0004467
2008-12-10 14:39 rgoris Relationship added depends on 0003313
2008-12-10 14:39 rgoris Relationship added depends on 0003377
2008-12-10 14:39 rgoris Relationship added depends on 0004134
2008-12-10 14:39 rgoris Relationship added depends on 0000494
2008-12-10 15:37 rgoris Relationship added depends on 0000381
2008-12-19 16:58 rgoris Relationship added depends on 0006072
2009-04-08 11:44 rafaroda Relationship added depends on 0004433
2009-09-30 07:33 rafaroda Relationship added depends on 0000421
2009-09-30 07:33 rafaroda Relationship replaced depends on 0005256
2009-10-05 09:05 rafaroda Note Added: 0020694
2010-03-11 10:30 rafaroda Issue Monitored: rafaroda
2011-05-02 14:57 rgoris Status acknowledged => scheduled
2011-05-02 14:57 rgoris fix_in_branch => pi
2011-05-02 14:58 rgoris Status scheduled => resolved
2011-05-02 14:58 rgoris Fixed in Version => main
2011-05-02 14:58 rgoris Fixed in SCM revision => solved!
2011-05-02 14:58 rgoris Resolution open => fixed
2011-05-02 14:59 rgoris Note Added: 0036266
2011-05-02 14:59 rgoris Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker